Bug 1626618 (CVE-2018-16646) - CVE-2018-16646 poppler: infinite recursion in Parser::getObj function in Parser.cc
Summary: CVE-2018-16646 poppler: infinite recursion in Parser::getObj function in Pars...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-16646
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1626620 1626621 1626623 1640295
Blocks: 1626626
TreeView+ depends on / blocked
 
Reported: 2018-09-07 18:01 UTC by Laura Pardo
Modified: 2019-09-29 14:58 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:19:22 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2022 0 None None None 2019-08-06 12:02:52 UTC

Description Laura Pardo 2018-09-07 18:01:45 UTC
A flaw was found in Poppler 0.68.0, the Parser::getObj() function in Parser.cc may cause infinite recursion via a crafted file. A remote attacker can leverage this for a DoS attack.


References:
https://bugzilla.redhat.com/show_bug.cgi?id=1622951

Comment 1 Laura Pardo 2018-09-07 18:02:23 UTC
Created mingw-poppler tracking bugs for this issue:

Affects: fedora-all [bug 1626621]


Created poppler tracking bugs for this issue:

Affects: fedora-all [bug 1626620]

Comment 3 Scott Gayou 2018-10-17 16:49:56 UTC
Reproduces on RHEL-7.

```Syntax Error (1452): Dictionary key must be a name object
Syntax Error (1454): Dictionary key must be a name object
Syntax Error (1463): Dictionary key must be a name object
Syntax Error (1470): Dictionary key must be a name object
Syntax Error (1476): Dictionary key must be a name object
Syntax Error (1540): Dictionary key must be a name object
Syntax Error (2213): Dictionary key must be a name object
Syntax Error (2223): Dictionary key must be a name object
Syntax Error (2223): Dictionary key must be a name object
Syntax Error (2250): Dictionary key must be a name object
Syntax Error (2253): Dictionary key must be a name object
^C
real	8m32.542s
user	0m23.545s
sys	0m14.576s
```

Gave up after 8 minutes.

Comment 10 errata-xmlrpc 2019-08-06 12:02:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2022 https://access.redhat.com/errata/RHSA-2019:2022

Comment 11 Product Security DevOps Team 2019-08-06 13:19:22 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-16646


Note You need to log in before you can comment on or make changes to this bug.